Batman-adv 2014.x - ab wann?

Hi,

wann kann man mit dem Einsatz von Batman Advanced 2014.x rechnen? Es ist doch nun mittlerweile ja schon etwa ein Jahr alt.
Oder gibt es technische Gründe, weshalb man bislang in gluon nicht darauf zurück greift?

Zunächst einmal ist damit ein Schnitt notwendig, da keine sanfte Migration möglich ist.
Dh. alle müssen „auf einmal“ herüber. Oder es gibt zwei Netze. Damit hängt man dann aber potentiell Nicht-VPNMesh-Knoten ab.

Dann verstehe ich die Antwort so:
batman-adv wird generell nur dann aktualisiert, wenn Ihr wichtige technische Gründe für ein Upgrade seht (z.B. bugfixes oder wichtige neue Features).

In diesem Falle wäre ich eindeutig für einen baldigen Wechsel auf 2014.

Ist nicht 2014.x die Versionsnummer der Implementierung, während Versionen v16 (zum Beispiel) die Version des Protokolls angeben?

Genau aus dem Grunde wäre ich dagegen, da für dieses Jahr nochmal ein deutliche Verbesserung (mit noch einem Schnitt) angekündigt wurde.
Lieber einmal alles umstellen als zweimal alle Nodes migrieren.

So [quote=„yayachiken, post:4, topic:1857, full:true“]
Ist nicht 2014.x die Versionsnummer der Implementierung, während Versionen v16 (zum Beispiel) die Version des Protokolls angeben?
[/quote]

Wie auch immer man es bezeichnen mag. 2014 funktioniert nicht mit pre 2014.
Deswegen hat adorfer natürlich prinzipiell Recht.

Wenn ich das richtig verstehe, was da in meinem Link geschrieben steht, dann gibt es innerhalb von 2014 verschiedene „branches“, einmal für stabil, einfmal für experimental. Aber wie man das in der Version ablesen kann, habe ich noch nicht gelernt.

Jedenfalls sehe ich auch genau darin den Grund auf 2014 zu gehen. Weil ich es auch so verstehe, dass man innerhalb von 2014 experimental mit stable mischen kann, ohne die Kompatibilität zu verlieren.

Hi

Solange von den Gluon Devs Batman 2014.X noch nicht als stabil angesehen wird werden wir nicht wechseln. Schon alleine weil wir ein wenig die Erfahrungen anderer Migrationen abwarten wollen.

Siehe:
https://forum.freifunk.net/t/gluon-2014-4-stable-verfugbar/1676

"Experimental support for batman-adv compat 15 batman-adv has broken compatiblity starting with batman-adv 2014.0 (bumping the “compat level” to 15), Gluon users must decide which batman-adv version to use. The package for the old batman-adv version gluon-mesh-batman-adv has been renamed to gluon-mesh-batman-adv-14, the new version can be used with gluon-mesh-batman-adv-15.

Please note that batman-adv compat 15 still isn’t tested very well (and there are known bugs in the current release 2014.3), so for now we still recommend using compat 14 in “production” environments."

1 Like

Ich denke mal, dass wir derzeit noch genug andere Baustellen haben als zu versuchen, eine Neue Batman-Version ins Feld zu bringen. Zumal ich noch nicht sehe, dass die neue Versionen entscheidende Verbesserungen bringen können an den Stellen wo es derzeit zwickt (Netzgröße, Broadcast-Traffic)

Welche Verbesserungen sind denn eingeflossen, bzw. was sind das für Verbesserungen, die dieses Jahr noch kommen sollen?

Eigentlich müsste man die Fragestellung erweitern: „Welche Nennenswerte Unterschiede gibt es zwischen den gepatchten Gluon Versionen“